Subject: Questions on logs and extra disks

From: Fred Thompson {73774} <[email-masked]>
Date: Thu, 25 May 1995 17:06:40 -0400 (EDT)

I have a couple of questions for the list:

1. Has anyone written a log report utility, something that would take
   the xferlog and produce some type of report (MB/day, file most requested,
   etc.)?

2. How do people handle adding extra disk space to the ftp area? Do you
   just mount it up, like /ftp/pub/disk1, /ftp/pub/disk2, etc and then set 
   up links, or as "hidden" directories (/ftp/pub/.1, /ftp/pub/.2) or
   some other method.

-- 
Fred Thompson,   [email-masked]
Raytheon Co,     Raytheon Electronic Systems Division, Tewksbury, Mass. 01876

---

From: Ric Anderson <[email-masked]>
Date: Thu, 25 May 1995 14:25:35 -0700 (MST)

The xferstats utility (a perl script) gives a lot of the information
you mentioned.  Its in util/xferstats in the wu-ftpd tree.

I fixed a couple of bugs in it regarding one counter not being
incremented and some things being incorrectly counted as undefined.

If you want my patches, let me know.
Ric (<[email-masked]> "Ric Anderson", using RTD's public internet access)

---

From: "Alexander L. Haiut" <[email-masked]>
Date: Fri, 26 May 1995 13:26:11 +0200 (GMT+0200)

>  the xferlog and produce some type of report (MB/day, file most requested,

	YES! There are two scripts (one of them is actually Perl script),
        written by Dave Williss <[email-masked]> which do this
        job for you. Here's short descrpition:
 
        The following two scripts are useful for processing the xferlog
        produced by the wuftp FTP server.  
 
        dumpxfer -      processes the xferlog and gives more humanly readable
                        output
        processlog -    Script to run dumpxfer, email you the output and trun-
                        cate the log.
 
        To use these, you need Perl. If your Perl is not /usr/local/bin/perl,
        you'll have to change the first line of dumpxfer. processlog is an sh
        script.  There's some configuration to be done at the beginning of
        each script too.  Look at the scripts for details.
 
        These scripts are available via anonymous ftp at URL:
 
                ftp://tnt.microimages.com/tools/   or
		ftp://ftp.cs.bgu.ac.il/pub/wu-ftpd/
 
>  up links, or as "hidden" directories (/ftp/pub/.1, /ftp/pub/.2) or

	Dunno, never tried myself, but I don't think there should be a 
	problem with this, just	be careful with permissions and mount options.

	Hope it helps.			--alex.

--

Alexander L. Haiut					       +971-7-461658
Math & CS System group		                            [email-masked]
Ben-Gurion University, Israel                  http://www.cs.bgu.ac.il/~alx/